Bug 809911 - /usr/share/rubygems/rubygems/custom_require.rb:36:in `require': iconv will be deprecated in the future, use String#encode instead.
Summary: /usr/share/rubygems/rubygems/custom_require.rb:36:in `require': iconv will be...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: puppet
Version: 18
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Todd Zullinger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 861617 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-04 16:23 UTC by Orion Poplawski
Modified: 2013-07-29 05:16 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-29 05:16:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2012-04-04 16:23:31 UTC
Description of problem:

Seeing this trying to run puppet:

/usr/share/rubygems/rubygems/custom_require.rb:36:in `require': iconv will be deprecated in the future, use String#encode instead.

Version-Release number of selected component (if applicable):
rubygems-1.8.15-2.fc17.1.noarch

Comment 1 Vít Ondruch 2012-04-24 08:25:17 UTC
Well, this is issue of Puppet with Ruby 1.9.3.

$ pwd
/home/vondruch/fedora-scm/rubygems/rubygems-1.8.11
$ grep -r 'require.*iconv' *


$ pwd
/home/vondruch/fedora-scm/puppet/puppet-2.6.16
$ grep -r 'require.*iconv' *
lib/puppet/external/pson/pure.rb:    require 'iconv'

I am reassigning this issue to puppet component. However I doubt that puppet maintainer will do anything about it ATM, since it is just warning. Nevertheless, iconv was already removed from Ruby 2.0 [1], hence the upstream should definitely do something about it.



[1] http://bugs.ruby-lang.org/issues/6322

Comment 2 Dominic Cleal 2012-06-24 09:06:09 UTC
Reported upstream in Puppet:
http://projects.puppetlabs.com/issues/15190

Comment 3 Tobias Florek 2012-09-21 23:38:34 UTC
this is biting openshift-origin-msg-node-mcollective as well: minutely generated mails. that is mildly annoying.

there is a fix in [1] (unfortunately i do not know how to link to the actual diff), that can easily be backported. according to the upstream report the fix will only be released with puppet 3.0. is this patch acceptable?

[1] https://github.com/daniel-pittman/puppet/commit/eea1ef5a594c2c9a33cfafac899b1c4317dabc2a

Comment 4 Terje Røsten 2013-02-06 12:22:49 UTC
I have created package which adds two patches from upstream to fix the issue here and an additional problem:

/usr/share/ruby/vendor_ruby/puppet/provider/service/bsd.rb:12: warning: class variable access from toplevel

srpm, spec and patches available here:

  http://terjeros.fedorapeople.org/puppet/

Comment 5 Todd Zullinger 2013-03-20 13:28:00 UTC
*** Bug 861617 has been marked as a duplicate of this bug. ***

Comment 6 Fedora Update System 2013-03-20 14:51:49 UTC
puppet-2.7.21-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/puppet-2.7.21-2.fc17

Comment 7 Terje Røsten 2013-03-20 15:01:26 UTC
Thanks Todd!

Comment 8 Todd Zullinger 2013-03-20 15:30:36 UTC
Thanks for the patch links Terje and Tobias.  That saved me a lot of time!

Sorry it took so long to get this fixed.

Comment 9 Fedora Update System 2013-03-22 00:34:16 UTC
Package puppet-2.7.21-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing puppet-2.7.21-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4187/puppet-2.7.21-2.fc17
then log in and leave karma (feedback).

Comment 10 Fedora End Of Life 2013-07-04 07:47:15 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Terje Røsten 2013-07-04 19:56:28 UTC
Still not pushed to stable?

Comment 12 Orion Poplawski 2013-07-29 05:16:47 UTC
It was


Note You need to log in before you can comment on or make changes to this bug.